package com.example.myapplication.database.repository

import androidx.paging.PagingData
import com.example.myapplication.database.entities.Product
import kotlinx.coroutines.flow.Flow

interface ProductRepository {
    fun getAll(): Flow<PagingData<Product>>
    fun getById(id: Int): Flow<Product>
    fun getByCategory(category_id: Int): Flow<PagingData<Product>>
    suspend fun insert(product: Product)
    suspend fun insertAll(products: List<Product>)
    suspend fun clearProducts()
}